/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * このファイルはBlancoValueObjectにより自動生成されました。
 */
package blanco.service.valueobject;

/**
 * BlancoServiceのなかで利用されるValueObjectです。
 */
public class BlancoServiceStructure {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * サービス定義IDを指定します。必須項目です。
     */
    private String fName;

    /**
     * フィールド [package]
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     */
    private String fPackage;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * サービス定義の説明を記載します。
     */
    private String fDescription;

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * サービス定義IDを指定します。必須項目です。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * サービス定義IDを指定します。必須項目です。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [package]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     *
     * @param argPackage フィールド[package]に格納したい値
     */
    public void setPackage(final String argPackage) {
        fPackage = argPackage;
    }

    /**
     * フィールド[package]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     *
     * @return フィールド[package]に格納されている値
     */
    public String getPackage() {
        return fPackage;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * サービス定義の説明を記載します。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * サービス定義の説明を記載します。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.service.valueobject.BlancoServiceStructure[");
        buf.append("name=" + fName);
        buf.append(",package=" + fPackage);
        buf.append(",description=" + fDescription);
        buf.append("]");
        return buf.toString();
    }
}
